package com.bocloud.cmp.model.installation;

import com.alibaba.fastjson.JSONObject;

import java.util.List;

/**
 * ESXI装机交换机配置
 *
 * @author 007
 */
public class SwitchDevice {
    /**
     * 交换机名称
     */
    private String switchName;
    /**
     * 交换机绑定的网卡
     * <p>
     * vmnic4,vmnic2等
     */
    private List<String> uplinks;

    /**
     * @return the switchName
     */
    public String getSwitchName() {
        return switchName;
    }

    /**
     * @param switchName the switchName to set
     */
    public void setSwitchName(String switchName) {
        this.switchName = switchName;
    }

    /**
     * @return the uplinks
     */
    public List<String> getUplinks() {
        return uplinks;
    }

    /**
     * @param uplinks the uplinks to set
     */
    public void setUplinks(List<String> uplinks) {
        this.uplinks = uplinks;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
